---
- job-template:
    id: perl-modulebuild-build-job
    name: '{name}-build'
    project-type: matrix
    description: '{title} Build'
    workspace: '{name}'
    child-workspace: '.'
    block-downstream: true
    block-upstream: true
    wrappers:
      - timeout:
          abort: true
          type: absolute
          timeout: 90
          write-description: 'Aborted build after 90 minutes'
    properties:
      - build-discarder:
          days-to-keep: 30
          num-to-keep: 1000
    scm:
      - git:
          url: '{git_url}'
          branches:
            - origin/master
          clean:
            after: true
          skip-tag: true
          wipe-workspace: false
          submodule:
            recursive: true
    triggers:
      - reverse:
          jobs: '{obj:parent_jobs}'
      - pollscm:
          cron: "H/20 * * * *"
    axes:
      - axis:
          name: systems
          type: slave
          values: '{obj:machines}'
    builders:
      - shell: |
          {global_env}
          {local_env}
          perl Build.PL install_base="$VIRT_PREFIX"
          perl Build
          perl Build install
    publishers:
      - email:
          recipients: '{obj:spam}'
          notify-every-unstable-build: false
          send-to-individuals: false


- job-template:
    id: perl-modulebuild-check-job
    name: '{name}-check'
    project-type: matrix
    description: '{title} Check'
    workspace: '{name}'
    child-workspace: '.'
    block-downstream: true
    block-upstream: true
    wrappers:
      - timeout:
          abort: true
          type: absolute
          timeout: 90
          write-description: 'Aborted build after 90 minutes'
    properties:
      - build-discarder:
          days-to-keep: 30
          num-to-keep: 1000
    triggers:
      - reverse:
          jobs: '{obj:parent_jobs}'
    axes:
      - axis:
          name: systems
          type: slave
          values: '{obj:machines}'
    builders:
      - shell: |
          {global_env}
          {local_env}
          perl Build test
    publishers:
      - email:
          recipients: '{obj:spam}'
          notify-every-unstable-build: false
          send-to-individuals: false

- job-template:
    id: perl-modulebuild-rpm-job
    name: '{name}-rpm'
    project-type: matrix
    description: '{title} RPM'
    workspace: '{name}'
    child-workspace: '.'
    block-downstream: true
    block-upstream: true
    wrappers:
      - timeout:
          abort: true
          type: absolute
          timeout: 90
          write-description: 'Aborted build after 90 minutes'
    properties:
      - build-discarder:
          days-to-keep: 30
          num-to-keep: 1000
    triggers:
      - reverse:
          jobs: '{obj:parent_jobs}'
    axes:
      - axis:
          name: systems
          type: slave
          values: '{obj:machines}'
    builders:
      - shell: |
          {global_env}
          {local_env}
          {strip_buildrequires}
          rm -f *.tar.{archive_format}
          perl Build dist
          rpmbuild --clean --define "_topdir `pwd`/rpmbuild" -ta *.tar.{archive_format}
    publishers:
      - email:
          recipients: '{obj:spam}'
          notify-every-unstable-build: false
          send-to-individuals: false
